org.apache.lucene.queries.function.valuesource

## Class LiteralValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.LiteralValueSource

    public class LiteralValueSource
    extends ValueSource

Pass a the field value through as a String, no matter the type // Q: doesn't this mean it's a "string"?

### Field Summary

Fields
`protected BytesRef` `bytesRef`
`static int` `hash`
`protected String` `string`

### Constructor Summary

Constructors
Constructor and Description
`LiteralValueSource(String string)`

### Method Summary

Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`String` `getValue()` returns the literal value
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`createWeight, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### string

    protected final String string

#### bytesRef

    protected final BytesRef bytesRef

#### hash

    public static final int hash

### Constructor Detail

#### LiteralValueSource

    public LiteralValueSource(String string)

### Method Detail

#### getValue

    public String getValue()

returns the literal value

#### getValues

    public FunctionValues getValues(Map context,
                           AtomicReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight()

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Specified by:
  `description` in class `ValueSource`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in class `ValueSource`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ValueSource`